;(function (global, factory) {
   typeof exports === 'object' && typeof module !== 'undefined'
       && typeof require === 'function' ? factory(require('../moment')) :
   typeof define === 'function' && define.amd ? define(['../moment'], factory) :
   factory(global.moment)
}(this, (function (moment) { 'use strict';

    //! moment.js locale configuration

    var monthsStrictRegex =
            /^(Janaayo|Febraayo|Maarso|Abriil|Maajo|Juun|Luuliyo|Agoosto|Sebteembar|Oktoobar|Nofeembar|Diseembar)/i,
        monthsShortStrictRegex =
            /(Jan\.?|Feb\.?|Mar|Abr\.?|May|Jun|Lul\.?|Ogs|Seb\.?|Okt\.?|Nof\.?|Dis\.?)/i,
        monthsRegex =
            /(Jan\.?|Feb\.?|Mar|Abr\.?|May|Jun|Lul\.?|Ogs|Seb\.?|Okt\.?|Nof\.?|Dis\.?|Janaayo|Febraayo|Maarso|Abriil|Maajo|Juun|Luuliyo|Agoosto|Sebteembar|Oktoobar|Nofeembar|Diseembar)/i,
        monthsParse = [
            /^Jan/i,
            /^Feb/i,
            /^Mar|/i,
            /^Abr/i,
            /^May/i,
            /^Jun/i,
            /^Lul/i,
            /^Ogs/i,
            /^Seb/i,
            /^Okt/i,
            /^Nof/i,
            /^Dis/i,
        ];

    var so = moment.defineLocale('so', {
        months: 'Janaayo_Febraayo_Maarso_Abriil_Maajo_Juun_Luuliyo_Agoosto_Sebteembar_Oktoobar_Nofeembar_Diseembar'.split(
            '_'
        ),
        monthsShort:
            'janv._feb._mar._abr._may._jun._lul._ogt._seb._okt._nof._dis.'.split(
                '_'
            ),
        monthsRegex: monthsRegex,
        monthsShortRegex: monthsRegex,
        monthsStrictRegex: monthsStrictRegex,
        monthsShortStrictRegex: monthsShortStrictRegex,
        monthsParse: monthsParse,
        longMonthsParse: monthsParse,
        shortMonthsParse: monthsParse,
        weekdays: 'Axad_Isniin_Talaado_Arbaco_Khamiis_Jimco_Sabti'.split('_'),
        weekdaysShort: 'Axd._Isn._Tldo._Arbc._Khms._Jmc._Sbti.'.split('_'),
        weekdaysMin: 'A_I_T_A_K_J_S'.split('_'),
        weekdaysParseExact: true,
        longDateFormat: {
            LT: 'HH:mm',
            LTS: 'HH:mm:ss',
            L: 'DD/MM/YYYY',
            LL: 'D MMMM YYYY',
            LLL: 'D MMMM YYYY HH:mm',
            LLLL: 'dddd D MMMM YYYY HH:mm',
        },
        calendar: {
            sameDay: '[Maanta] LT',
            nextDay: '[Berrito markay] LT',
            nextWeek: 'dddd [at] LT',
            lastDay: '[Shalay] LT',
            lastWeek: 'dddd [hore ugu socday] LT',
            sameElse: 'L',
        },
        relativeTime: {
            future: 'dans %s',
            past: 'il y a %s',
            s: 'quelques secondes',
            ss: '%d secondes',
            m: 'une minute',
            mm: '%d minutes',
            h: 'une heure',
            hh: '%d heures',
            d: 'un jour',
            dd: '%d jours',
            w: 'une semaine',
            ww: '%d semaines',
            M: 'un mois',
            MM: '%d mois',
            y: 'un an',
            yy: '%d ans',
        },
        dayOfMonthOrdinalParse: /\d{1,2}(er|)/,
        ordinal: function (number, period) {
            switch (period) {
                // TODO: Return 'e' when day of month > 1. Move this case inside
                // block for masculine words below.
                // See https://github.com/moment/moment/issues/3375
                case 'D':
                    return number + (number === 1 ? 'er' : '');

                // Words with masculine grammatical gender: mois, trimestre, jour
                default:
                case 'M':
                case 'Q':
                case 'DDD':
                case 'd':
                    return number + (number === 1 ? 'er' : 'e');

                // Words with feminine grammatical gender: semaine
                case 'w':
                case 'W':
                    return number + (number === 1 ? 're' : 'e');
            }
        },
        week: {
            dow: 1, // Monday is the first day of the week.
            doy: 4, // The week that contains Jan 4th is the first week of the year.
        },
    });

    return so;

})));
